Subject: Re: [PATCH v2 04/10] ref-filter: add support to sort by version

From: Matthieu Moy <[email-masked]>
Date: Fri, 10 Jul 2015 14:18:11 +0200

Karthik Nayak <[email-masked]> writes:

> On Fri, Jul 10, 2015 at 4:22 PM, Karthik Nayak <[email-masked]> wrote:
>> On Thu, Jul 9, 2015 at 6:59 PM, Matthieu Moy
>> <[email-masked]> wrote:
>>> Karthik Nayak <[email-masked]> writes:
>>>
>>>> Add support to sort by version using the "v:refname" and
>>>> "version:refname" option. This is achieved by using the
>>>> 'version_cmp()' function as the comparing function for qsort.
>>>
>>> You should elaborate on why you need this. Given the context, I can
>>> guess that you will need this to implement tag, but for example I first
>>> wondered why you needed both version: and v:, but I guess it comes from
>>> the fact that 'git tag --sort' can take version:refname or v:refname.
>>>
>>> I think this deserves a test and documentation in for-each-ref.txt.
>>
>> I'll add it to "for-each-ref.txt" documentation.
>> About the tests, there are already tests for the same in git-tag.txt and
>> that's the only reason I did not repeat the tests in for-each-ref.
>>
>
> But since the porting is in a later commit, will add tests to for-each-ref.

Yes: to me "it's tested through 'git tag'" is a good argument to do only
a superficial test, check that 'for-each-ref --sort v:refname' activate
the sorting, but no detailed corner-case testing. But not a good
argument to have no test at all on for-each-ref.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/